## flowcanvas 0.6.0

=== wscript ===
#!/usr/bin/env python
import autowaf
import Options

# Version of this package (even if built as a child)
FLOWCANVAS_VERSION = '0.6.0'

# Library version (UNIX style major, minor, micro)
# major increment <=> incompatible changes
# minor increment <=> compatible changes (additions)
# micro increment <=> no interface changes
# Version history:
#   0.4.0 = 0,0,0
#   0.5.0 = 1,0,0
#   0.5.2 = 2,0,0
#   0.5.3 = 2,1,0
#   0.6.0 = 3,0,0
FLOWCANVAS_LIB_VERSION = '3.0.0'

# Variables for 'waf dist'
APPNAME = 'flowcanvas'
VERSION = FLOWCANVAS_VERSION

# Mandatory variables
srcdir = '.'
blddir = 'build'

def set_options(opt):
	autowaf.set_options(opt)
	opt.add_option('--anti-alias', action='store_false', default=True, dest='anti_alias',
			help="Anti-alias canvas (much prettier but slower) [Default: True]")

def configure(conf):
	autowaf.configure(conf)
	conf.check_tool('compiler_cxx')
	autowaf.check_pkg(conf, 'libgvc', uselib_store='AGRAPH', atleast_version='2.8', mandatory=False)
	autowaf.check_pkg(conf, 'gtkmm-2.4', uselib_store='GLIBMM', atleast_version='2.10.0', mandatory=True)
	autowaf.check_pkg(conf, 'libgnomecanvasmm-2.6', uselib_store='GNOMECANVASMM', atleast_version='2.6.0', mandatory=True)

	# Boost headers
	autowaf.check_header(conf, 'boost/shared_ptr.hpp', mandatory=True)
	autowaf.check_header(conf, 'boost/weak_ptr.hpp', mandatory=True)
	
	conf.write_config_header('flowcanvas-config.h')
	conf.env['ANTI_ALIAS'] = bool(Options.options.anti_alias)

	autowaf.print_summary(conf)
	autowaf.display_header('FlowCanvas Configuration')
	autowaf.display_msg(conf, "Auto-arrange", str(conf.env['HAVE_AGRAPH'] == 1))
	autowaf.display_msg(conf, "Anti-Aliasing", str(bool(conf.env['ANTI_ALIAS'])))
	print

def build(bld):
	# Headers
	bld.install_files('${INCLUDEDIR}/flowcanvas', 'flowcanvas/*.hpp')

	# Pkgconfig file
	autowaf.build_pc(bld, 'FLOWCANVAS', FLOWCANVAS_VERSION, 'AGRAPH GLIBMM GNOMECANVASMM')

	# Library
	obj = bld.new_task_gen('cxx', 'shlib')
	obj.export_incdirs = ['.']
	obj.source = '''
		src/Canvas.cpp
		src/Connectable.cpp
		src/Connection.cpp
		src/Ellipse.cpp
		src/Item.cpp
		src/Module.cpp
		src/Port.cpp
	'''
	obj.includes     = ['.', './src']
	obj.name         = 'libflowcanvas'
	obj.target       = 'flowcanvas'
	obj.uselib       = 'GTKMM GNOMECANVASMM AGRAPH'
	obj.vnum         = FLOWCANVAS_LIB_VERSION
	obj.install_path = '${LIBDIR}'

	# Documentation
	autowaf.build_dox(bld, 'FLOWCANVAS', FLOWCANVAS_VERSION, srcdir, blddir)
	bld.install_files('${HTMLDIR}', blddir + '/default/doc/html/*')

def shutdown():
	autowaf.shutdown()

=== debian/changelog ===
flowcanvas (0.6.0-1ubuntu2) lucid; urgency=low

  * Add python to Build-Depends (needed by the internal copy of waf).

 -- Michael Bienia <geser@ubuntu.com>  Sun, 28 Feb 2010 12:00:14 +0100

flowcanvas (0.6.0-1ubuntu1) lucid; urgency=low

  * Use internal copy of waf.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sat, 27 Feb 2010 15:30:33 +0100

flowcanvas (0.6.0-1) unstable; urgency=low

  * New upstream release
  * debian/watch: update to bz2
  * debian/rules: switch to waf
  * debian/control: add build-depends on waf
  * debian/libflowcanvas-dev.install: remove .la file
  * debian/README.source: added ref to quilt
  * debian/control: bump debhelper requirements to 7.0.50~
  * debian/libflowcanvas3.{install,dirs}: bump version to 3
  * debian/source/format: use 3.0 quilt for upstream bz2
  * debian/patches: drop missing include, integrated upstream

 -- Paul Brossier <piem@debian.org>  Wed, 09 Dec 2009 18:34:27 +0100

flowcanvas (0.5.1-2) unstable; urgency=low

  * Add build-depends on quilt
  * Add patch to fix FTBFS with g++-4.4, thanks to Michael Bienia
   (closes: #559898)

 -- Paul Brossier <piem@debian.org>  Mon, 07 Dec 2009 18:20:13 +0100

flowcanvas (0.5.1-1) unstable; urgency=low

  * Initial release (closes: #553386)

 -- Paul Brossier <piem@debian.org>  Fri, 30 Oct 2009 19:53:21 +0100

=== debian/control ===
Source: flowcanvas
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Paul Brossier <piem@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               quilt,
               python,
               libgtkmm-2.4-dev,
               libgnomecanvasmm-2.6-dev,
               libboost-dev,
               libgraphviz-dev
Standards-Version: 3.8.3
Section: libs
Vcs-Bzr: http://bzr.debian.org/users/piem/flowcanvas/
Vcs-Browser: http://bzr.debian.org/loggerhead/users/piem/flowcanvas/
Homepage: http://drobilla.net/software/flowcanvas/

Package: libflowcanvas-dev
Section: libdevel
Architecture: any
Depends: libflowcanvas3 (= ${binary:Version}), ${misc:Depends}
Description: interactive widget for “boxes and lines” environments
 FlowCanvas is an interactive Gtkmm/Gnomecanvasmm widget for “boxes and lines”
 environments (ie modular synths or interactive finite state automata diagrams).

Package: libflowcanvas3
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: interactive widget for “boxes and lines” environments
 FlowCanvas is an interactive Gtkmm/Gnomecanvasmm widget for “boxes and lines”
 environments (ie modular synths or interactive finite state automata diagrams).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh --with quilt $@

override_dh_auto_configure:
	./waf configure --prefix /usr

override_dh_auto_build:
	dh build --before dh_auto_build
	./waf build
	dh build --after dh_auto_build

override_dh_auto_install:
	dh install --before dh_auto_install
	./waf install --destdir $(CURDIR)/debian/tmp
	dh install --after dh_auto_install

override_dh_auto_clean:
	dh clean --before dh_auto_clean
	./waf distclean --prefix /usr
	-$(RM) -f autowaf.pyc
	dh clean --after dh_auto_clean

## flowcanvas 0.7.1

=== debian/changelog ===
flowcanvas (0.7.1-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Upload to unstable to start lash->ladish smooth transition;
    this closes: #626142

 -- Alessio Treglia <alessio@debian.org>  Fri, 20 May 2011 15:16:33 +0200

flowcanvas (0.7.1-0.1) experimental; urgency=low

  * Non-maintainer upload.
  * New upstream release (Closes: #609981):
    - Changes in 0.7.1:
      + Reduce memory consumption and improve alignment
      + Eliminate port control "gauge" overhead for non-control ports
      + Add "partner" concept for aligning related but unconnected nodes.
      + Add missing #includes
      + Expand README
      + Add missing COPYING file to distribution
      + Upgrade to waf 1.6.2
    - Changes in 0.6.4:
      + Consistently call Item::store_location when items are moved,
        previous versions didn't on arrange or when dragging a selection
      + Fix centering (e.g. on arrange, initial view)
      + Upgrade to waf 1.5.18
  * SONAME change: libflowcanvas3 -> libflowcanvas5.
  * debian/{control,rules}:
    - Drop quilt support as the package format is set to 3.0 (quilt).
    - Also remove debian/README.source since it's no longer needed.
  * debian/patches/1001-dont_run_ldconfig.patch:
    - Avoid calling ldconfig once the build is finished, this allow us
      to save a bit of time.
  * debian/control:
    - Improve package's descriptions.
    - Bump Standards-Version.
    - Remove duplicate Section: libs.
  * debian/copyright:
    - Update debian/copyright as per DEP-5 rev#173.
    - Add licensing information about waf.

 -- Alessio Treglia <alessio@debian.org>  Thu, 24 Mar 2011 12:18:13 +0100

flowcanvas (0.6.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use convenience copy of waf, system wide waf package is being removed
    from Debian (Closes: #571705).
  * Build-depend on python, convenience copy of waf needs it.
  * Tight quilt build-dependency to be >= 0.46-7~.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 11 Apr 2010 16:22:13 +0200

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh --with quilt $@
+	dh $@
 
 override_dh_auto_configure:
 	./waf configure --prefix /usr
@@ -22,6 +22,6 @@
 
 override_dh_auto_clean:
 	dh clean --before dh_auto_clean
-	./waf distclean --prefix /usr
-	-$(RM) -f autowaf.pyc
+	./waf configure distclean --prefix /usr
+	-$(RM) -f autowaf/autowaf.pyc
 	dh clean --after dh_auto_clean

## flowcanvas 0.7.1%2Bdfsg0

=== debian/control ===
Source: flowcanvas
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Paul Brossier <piem@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               python,
               libgtkmm-2.4-dev,
               libgnomecanvasmm-2.6-dev,
               libboost-dev,
               libgraphviz-dev (>= 2.30)
Standards-Version: 3.9.1
Section: libs
Vcs-Bzr: http://bzr.debian.org/users/piem/flowcanvas/
Vcs-Browser: http://bzr.debian.org/loggerhead/users/piem/flowcanvas/
Homepage: http://drobilla.net/software/flowcanvas/

Package: libflowcanvas-dev
Section: libdevel
Architecture: any
Depends: libflowcanvas5 (= ${binary:Version}), ${misc:Depends}
Description: interactive widget for “boxes and lines” environments - header files
 FlowCanvas is an interactive Gtkmm/Gnomecanvasmm widget for “boxes and lines”
 environments (ie modular synths or interactive finite state automata diagrams).
 .
 This package provides the development files.

Package: libflowcanvas5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: interactive widget for “boxes and lines” environments
 FlowCanvas is an interactive Gtkmm/Gnomecanvasmm widget for “boxes and lines”
 environments (ie modular synths or interactive finite state automata diagrams).
 .
 This package provides the runtime library.

## flowcanvas 0.7.1+dfsg0

=== wscript ===
#!/usr/bin/env python
import autowaf
import Options

# Version of this package (even if built as a child)
FLOWCANVAS_VERSION = '0.7.1'

# Library version (UNIX style major, minor, micro)
# major increment <=> incompatible changes
# minor increment <=> compatible changes (additions)
# micro increment <=> no interface changes
# Version history:
#   0.4.0 = 0,0,0
#   0.5.0 = 1,0,0
#   0.5.2 = 2,0,0
#   0.5.3 = 2,1,0
#   0.6.0 = 3,0,0
#   0.6.3 = 4,0,0 (unreleased)
#   0.6.4 = 4,1,0
#   0.7.0 = 5,0,0 (unreleased)
#   0.7.1 = 5,1,0
FLOWCANVAS_LIB_VERSION = '5.1.0'

# Variables for 'waf dist'
APPNAME = 'flowcanvas'
VERSION = FLOWCANVAS_VERSION

# Mandatory variables
top = '.'
out = 'build'

def options(opt):
	autowaf.set_options(opt)
	opt.add_option('--anti-alias', action='store_false', default=True, dest='anti_alias',
	               help="Anti-alias canvas (much prettier but slower) [Default: True]")

def configure(conf):
	conf.line_just = max(conf.line_just, 45)
	autowaf.configure(conf)
	autowaf.display_header('FlowCanvas Configuration')
	conf.check_tool('compiler_cxx')
	autowaf.check_pkg(conf, 'libgvc', uselib_store='AGRAPH',
	                  atleast_version='2.8', mandatory=False)
	autowaf.check_pkg(conf, 'gtkmm-2.4', uselib_store='GLIBMM',
	                  atleast_version='2.10.0', mandatory=True)
	autowaf.check_pkg(conf, 'libgnomecanvasmm-2.6', uselib_store='GNOMECANVASMM',
	                  atleast_version='2.6.0', mandatory=True)

	# Boost headers
	autowaf.check_header(conf, 'boost/shared_ptr.hpp', mandatory=True)
	autowaf.check_header(conf, 'boost/weak_ptr.hpp', mandatory=True)
	
	conf.write_config_header('flowcanvas-config.h', remove=False)
	conf.env['ANTI_ALIAS'] = bool(Options.options.anti_alias)

	autowaf.display_msg(conf, "Auto-arrange", str(conf.env['HAVE_AGRAPH'] == 1))
	autowaf.display_msg(conf, "Anti-Aliasing", str(bool(conf.env['ANTI_ALIAS'])))
	print

def build(bld):
	# Headers
	bld.install_files('${INCLUDEDIR}/flowcanvas', bld.path.ant_glob('flowcanvas/*.hpp'))

	# Pkgconfig file
	autowaf.build_pc(bld, 'FLOWCANVAS', FLOWCANVAS_VERSION, 'AGRAPH GLIBMM GNOMECANVASMM')

	# Library
	obj = bld(features = 'cxx cxxshlib')
	obj.export_includes = ['.']
	obj.source = '''
		src/Canvas.cpp
		src/Connectable.cpp
		src/Connection.cpp
		src/Ellipse.cpp
		src/Item.cpp
		src/Module.cpp
		src/Port.cpp
	'''
	obj.includes     = ['.', './src']
	obj.name         = 'libflowcanvas'
	obj.target       = 'flowcanvas'
	obj.uselib       = 'GTKMM GNOMECANVASMM AGRAPH'
	obj.vnum         = FLOWCANVAS_LIB_VERSION
	obj.install_path = '${LIBDIR}'

	# Documentation
	autowaf.build_dox(bld, 'FLOWCANVAS', FLOWCANVAS_VERSION, top, out)

	bld.add_post_fun(autowaf.run_ldconfig)

=== debian/changelog ===
flowcanvas (0.7.1+dfsg0-0.5) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Remove use of --before and --after (Closes: #932531)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 11 Oct 2019 00:10:55 +0200

flowcanvas (0.7.1+dfsg0-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename library to libflowcanvas5v5 for libstdc++ transition
    (Closes: #791036)

 -- Simon McVittie <smcv@debian.org>  Sat, 05 Sep 2015 17:26:11 +0100

flowcanvas (0.7.1+dfsg0-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch from Fedora to fix build with libcgraph. Closess: #754951.

 -- Matthias Klose <doko@debian.org>  Sat, 19 Jul 2014 14:37:35 +0100

flowcanvas (0.7.1+dfsg0-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Properly fill flowcanvas.pc's Requires field rather than putting
    hard-coded paths/libraries in Cflags/Libs to avoid build failures
    in a multiarchified world (Closes: #670113).

 -- Alessio Treglia <alessio@debian.org>  Mon, 23 Apr 2012 11:10:47 +0200

flowcanvas (0.7.1+dfsg0-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Repack upstream tarball to get rid of the 'waf' blob.
    Closes: #654465
    - debian/rules:
      + Use 'waf clean' instead of 'waf distclean' in order to avoid the
        removal of the waflib.
      + Skip errors on 'waf clean'.
      + Prune *.pyc files on clean.

 -- Alessio Treglia <alessio@debian.org>  Mon, 09 Jan 2012 19:42:14 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	./waf configure --prefix /usr

override_dh_auto_build:
	./waf build

override_dh_auto_install:
	./waf install --destdir $(CURDIR)/debian/tmp

override_dh_auto_clean:
	./waf clean || true
	find -name "*.pyc" -delete

=== debian/watch ===
version=3
http://drobilla.net/software/flowcanvas/ \
  http://download.drobilla.net/flowcanvas-(.*)\.tar\.bz2
